#
# spec file for package rcs (Version 5.7)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         rcs
Copyright:    1982-89 Walter F. Tichy, 1990-95 Paul Eggert
Group:        Development/Version Control
Provides:     rcs 
Autoreqprov:  on
Version:      5.7
Release:      392
Summary:      Revision Control System
Source:  rcs-5.7.tar.gz
Source1: rcs.html
Patch:   rcs-5.7.dif
Patch1:  rcs-5.7-security.patch

%description
RCS, the Revision Control System, manages multiple revisions of files.
RCS can store, retrieve, log, identify, and merge revisions. It is
useful for files that are frequently revised  e.g. programs,
documentation, graphics, and papers.

Authors:
--------
    Walter F. Tichy <tichy@ira.uka.de>
    Paul Eggert <eggert@twinsun.com>
    Adam Hammer <hammer@cs.purdue.edu>
    Guy Harris <guy@sun.com>
    Jay Lepreau <lepreau@cs.purdue.edu>

SuSE series: d

%prep
%setup
%patch
%patch -P 1 -p 0 -b .tmpfile
./configure --prefix=/usr --with-diff-utils

%build
chmod 777 src
su -c "make CFLAGS='$RPM_OPT_FLAGS' LDFLAGS=-s" nobody

%install
make install man1dir=%{_mandir}/man1 man5dir=%{_mandir}/man5
mkdir -p %{_defaultdocdir}/rcs
cp -av $RPM_SOURCE_DIR/*.html %{_defaultdocdir}/rcs

%files
%docdir %{_defaultdocdir}/rcs
%{_defaultdocdir}/rcs
/usr/bin/ci
/usr/bin/co
/usr/bin/ident
/usr/bin/merge
/usr/bin/rcs
/usr/bin/rcsclean
/usr/bin/rcsdiff
/usr/bin/rcsmerge
/usr/bin/rlog
%doc %{_mandir}/man1/ci.1.gz
%doc %{_mandir}/man1/co.1.gz
%doc %{_mandir}/man1/ident.1.gz
%doc %{_mandir}/man1/merge.1.gz
%doc %{_mandir}/man1/rcs.1.gz
%doc %{_mandir}/man1/rcsclean.1.gz
%doc %{_mandir}/man1/rcsdiff.1.gz
%doc %{_mandir}/man1/rcsintro.1.gz
%doc %{_mandir}/man1/rcsmerge.1.gz
%doc %{_mandir}/man1/rlog.1.gz
%doc %{_mandir}/man5/rcsfile.5.gz

%changelog -n rcs
* Wed Jan 10 2001 - werner@suse.de
- Add temp file patch of Olaf Kirch
* Fri Nov 17 2000 - fehr@suse.de
- set group tag
* Mon May 22 2000 - fehr@suse.de
- add HTML-Documentation to /usr/share/doc/packages/src
* Fri Feb 25 2000 - schwab@suse.de
- /usr/man -> /usr/share/man
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Oct 24 1997 - ro@suse.de
- checking re enabled, done instead:
  changed mode of src-dir to 777 and su -c make nobody
* Thu Oct 23 1997 - ro@suse.de
- disabled checking for root-rights in conf.sh
  ready for autobuild
